/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.quality.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.quality.entity.AssayConfigD;
import com.tofly.quality.entity.dto.AssayConfigDQuery;

/**
 * 化验项配置
 *
 * @author admin
 * @date Wed Nov 02 00:00:00 CST 2022
 */
public interface AssayConfigDService extends IService<AssayConfigD> {

    boolean selectByName(String assayConfigName, long l);

    Page<AssayConfigD> getPageData(Page page, AssayConfigDQuery query);

    boolean deleteByIds(String ids);

    boolean saveConfig(AssayConfigD assayConfigD, boolean isAdd);
}
